Bug 2072339 (CVE-2022-1259) - CVE-2022-1259 undertow: potential security issue in flow control over HTTP/2 may lead to DOS(incomplete fix for CVE-2021-3629)
Summary: CVE-2022-1259 undertow: potential security issue in flow control over HTTP/2 ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-1259
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2072341 2072508
TreeView+ depends on / blocked
 
Reported: 2022-04-06 04:14 UTC by Sandipan Roy
Modified: 2022-10-05 16:46 UTC (History)
74 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Undertow. A potential security issue in flow control handling by the browser over HTTP/2 may cause overhead or a denial of service in the server.
Clone Of:
Environment:
Last Closed: 2022-07-07 20:24:58 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5532 0 None None None 2022-07-07 14:23:01 UTC
Red Hat Product Errata RHSA-2022:6821 0 None None None 2022-10-05 16:35:08 UTC
Red Hat Product Errata RHSA-2022:6822 0 None None None 2022-10-05 16:40:24 UTC
Red Hat Product Errata RHSA-2022:6823 0 None None None 2022-10-05 16:32:40 UTC
Red Hat Product Errata RHSA-2022:6825 0 None None None 2022-10-05 16:46:52 UTC

Description Sandipan Roy 2022-04-06 04:14:27 UTC
A flaw was found in Undertow where a potential security issue in flow control handling by browser over HTTP/2 may potentially cause overhead or DOS in the server. The highest impact of this vulnerability is availability.(incomplete fix for CVE-2021-3629)

Comment 5 errata-xmlrpc 2022-07-07 14:22:57 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.11

Via RHSA-2022:5532 https://access.redhat.com/errata/RHSA-2022:5532

Comment 6 Product Security DevOps Team 2022-07-07 20:24:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-1259

Comment 7 errata-xmlrpc 2022-10-05 16:32:35 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 9

Via RHSA-2022:6823 https://access.redhat.com/errata/RHSA-2022:6823

Comment 8 errata-xmlrpc 2022-10-05 16:35:04 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 on RHEL 7

Via RHSA-2022:6821 https://access.redhat.com/errata/RHSA-2022:6821

Comment 9 errata-xmlrpc 2022-10-05 16:40:19 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 8

Via RHSA-2022:6822 https://access.redhat.com/errata/RHSA-2022:6822

Comment 10 errata-xmlrpc 2022-10-05 16:46:47 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2022:6825 https://access.redhat.com/errata/RHSA-2022:6825


Note You need to log in before you can comment on or make changes to this bug.